lazarus (4.6+dfsg-4) unstable; urgency=medium

  * Broke changelog line to fix `lintian` warning.
  * Marked package `lcl-nogui` as `Multi-Arch: same` as advised by
    multiarch hinter.

 -- Mazen Neifer <mazen@debian.org>  Thu, 19 Mar 2026 09:19:55 +0100

lazarus (4.6+dfsg-3) unstable; urgency=medium

  * Switch default widgetset from GTK2 to GTK3
    - Added required GTK3 patches to debian/patches/series.
    - Removed unused Cocoa and unapplying patches.
    - Updated debian/rules to build for GTK3 instead of GTK2.
    - Renamed and updated all install, postinst, and prerm scripts from GTK2
      to GTK3.
    - Replaced GTK2 dependencies with GTK3 in debian/control and debian/clean.
      (Closes: Bug#967564)

 -- Mazen Neifer <mazen@debian.org>  Sat, 14 Mar 2026 13:48:54 +0100

lazarus (4.6+dfsg-2) unstable; urgency=medium

  * Source only upload needed for migration

 -- Peter Blackman <peterb@debian.org>  Sun, 01 Mar 2026 22:37:02 +0000

lazarus (4.6+dfsg-1) unstable; urgency=medium

  * New upstream version 4.6+dfsg
  * Remove dependency on lcl-gtk2 from lcl-qt5
  * Remove unused lintian overide
  * Update standards to 4.7.3 (Remove Priority field from d/control)
  * Update debian/copyright

 -- Peter Blackman <peterb@debian.org>  Wed, 25 Feb 2026 23:47:14 +0000

lazarus (4.4+dfsg-4) unstable; urgency=medium

  * Remove Multi-Arch: same from versioned lcl-nogui

 -- Peter Blackman <peterb@debian.org>  Sun, 21 Dec 2025 12:20:03 +0000

lazarus (4.4+dfsg-3) unstable; urgency=medium

  * Remove Multi-Arch: same from lcl-nogui
  * Remove execute bit from lcl/include/screen.inc

 -- Peter Blackman <peterb@debian.org>  Sat, 20 Dec 2025 12:35:32 +0000

lazarus (4.4+dfsg-2) unstable; urgency=medium

  * Update watch file to use git
  * Make lcl-nogui Multi-Arch: same
  * Update patch header
  * prioritise qt5 over gtk2, see #967564
  * Use NOTPARALLEL in d/rules, see #1105378

 -- Peter Blackman <peterb@debian.org>  Fri, 19 Dec 2025 12:47:26 +0000

lazarus (4.4+dfsg-1) unstable; urgency=medium

  * New upstream version 4.4+dfsg

 -- Peter Blackman <peterb@debian.org>  Sat, 13 Dec 2025 10:52:57 +0000

lazarus (4.2+dfsg-2) unstable; urgency=medium

  [ Peter Blackman ]
  * Update debian/copyright, add lrc.config
  * Remove Rules-Require-Root from d/control
  * Update debian/watch to Version: 5
  * Add Upstream metadata
  * Update email address for peterb
  * Update debian/clean

  [ Paul Gevers ]
  * Restore reproducibility
    * sort entries for preinst
    * don't store the build time until it honors SOURCE_DATE_EPOCH

 -- Peter Blackman <peterb@debian.org>  Thu, 11 Dec 2025 20:01:41 +0000

lazarus (4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 4.2+dfsg

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 30 Aug 2025 13:31:40 +0100

lazarus (4.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 15 May 2025 11:23:04 +0100

lazarus (4.0+dfsg-2) experimental; urgency=medium

  * Add Recommends: lazarus{} to lazarus-ide{} Closes: #1104749
  * Fix spelling in patch header

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 12 May 2025 11:55:49 +0100

lazarus (4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 4.0+dfsg

 -- Mazen Neifer <mazen@debian.org>  Mon, 05 May 2025 15:58:24 +0200

lazarus (4.0~rc3+dfsg-3) unstable; urgency=medium

  * Allow autopkgtest build of fcl_unicodertl.lpk to fail
  * Add Romanian debconf template translation, Closes: #1102572

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 15 Apr 2025 15:47:07 +0100

lazarus (4.0~rc3+dfsg-2) unstable; urgency=medium

  * Upload to unstable in order to not miss Trixie freeze deadline.
  * Fixed permission on scripts that were moved by upstream in new release.
  * Added DEP-3 Origin field to Debian patches.

 -- Mazen Neifer <mazen@debian.org>  Sun, 13 Apr 2025 14:07:15 +0200

lazarus (4.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream version 4.0~rc3+dfsg

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 05 Apr 2025 16:57:51 +0200

lazarus (4.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream version 4.0~rc2+dfsg
  * Removed legacy patch no more applicable for new source version.
  * Updated patches to fit new sources version.
  * Bumped standard version to 4.7.2. Updated debian/control file.
  * Updated rules file to fit paths in new source version.
  * Updated debian/copyright file to fit paths in new source version.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Mar 2025 19:38:35 +0100

lazarus (3.8+dfsg1-9) unstable; urgency=medium

  * Fixed fp-units dependencies of lc-units package.
  * Fixed installation of man files overriding the right rule.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 11 Feb 2025 21:44:00 +0100

lazarus (3.8+dfsg1-8) unstable; urgency=medium

  * Fixed dependency on FPC packages. Require version with hardening enabled.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 11 Feb 2025 00:12:28 +0100

lazarus (3.8+dfsg1-7) unstable; urgency=medium

  * Removed unused include file in debian/rules file.
  * Fixed issues in patch set metadata.
  * Enabled Static-Built-Using: fpc to track changes in FPC libraries.
    This should fix issue where fp-units-rtl get changes and CGE does not
    get recompiled causing issues for users.
  * Changed watch file to add +dfsg not +dfsg1 as suggested by Lintian.
  * Get package name from /usr/share/dpkg/pkg-info.mk instead of hard coded.
  * Use dh sequencer as suggested by Lintian.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 09 Feb 2025 21:27:09 +0100

lazarus (3.8+dfsg1-6) unstable; urgency=medium

  * Enabled PIE on executable programs using FPC hardening config file.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Feb 2025 23:29:00 +0100

lazarus (3.8+dfsg1-5) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Abou Al Montacir ]
  * Removed Lintian warnings about national encoding in Win installer files.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 01 Feb 2025 14:32:14 +0100

lazarus (3.8+dfsg1-4) unstable; urgency=medium

  * Fixed file encoding to remove related Lintian warnings.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 30 Jan 2025 23:19:17 +0100

lazarus (3.8+dfsg1-3) unstable; urgency=medium

  * Fixed package name in command creating diversion of LPK files when
    installing sources.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 27 Jan 2025 21:16:21 +0100

lazarus (3.8+dfsg1-2) unstable; urgency=medium

  * Fixed automatic generation of diverted files list for lazarus-src-x.y.
    (Closes: Bug#1094182, Bug#1094223)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 26 Jan 2025 13:21:31 +0100

lazarus (3.8+dfsg1-1) unstable; urgency=medium

  [ Peter Blackman ]
  * New upstream version
  * Update copyright date
  * Remove preinst files (they are generated in thebuild)

  [ Abou Al Montacir ]
  * Enforce coherence between debian/control and debian/control.in files.
  * Added rule in debian/rules to run lintian checks.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 24 Jan 2025 08:05:12 +0100

lazarus (3.6+dfsg1-4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 17 Nov 2024 09:35:17 +0100

lazarus (3.6+dfsg1-4) unstable; urgency=medium

  * Don't build with -pie on armhf (Breaks build)
  * Add Suggests: fonts-freefont-ttf  (for aggpas)

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 02 Nov 2024 14:25:16 +0000

lazarus (3.6+dfsg1-3) unstable; urgency=medium

  * Remove unneeded fonts
  * Fix script permissions
  * Convert GBK encoding to UTF-8
  * Build with -pie on all arches except for ppc64(el)

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 29 Oct 2024 10:35:16 +0000

lazarus (3.6+dfsg1-2) unstable; urgency=medium

  * Copyright fix
  * Remove the dot from the icon names  (Closes: #1075761)

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 16 Oct 2024 11:49:03 +0100

lazarus (3.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.6+dfsg1
  * Drop patch adopted upstream
  * Drop as-needed from d/rules
  * Add myself to Uploaders

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 08 Oct 2024 09:56:34 +0100

lazarus (3.4+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Remove duplicate license files
  * Add Lintian overrides
  * Copyright fixes

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 29 Sep 2024 11:53:45 +0100

lazarus (3.4+dfsg1-1) unstable; urgency=medium

  * Team upload
  * Fix Salsa CI (undefine RELEASE variable)
  * New upstream version
  * Standards 4.7.0   compat 13
  * Update lintian overrides
  * Add myself to d/copyright
  * Drop patch adopted upstream
  * Add d/lazarus-src-3.4.preinst
  * Patch broken jitclasses.lpk build

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 03 Sep 2024 11:31:08 +0100

lazarus (3.0+dfsg1-8~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 14 Feb 2024 22:43:27 +0100

lazarus (3.0+dfsg1-8) unstable; urgency=medium

  * Back ported upstream fix to packages recompilation issue.
    This fixed recompilation of packages but also of IDE.
  * Included all IDE packages into lcl-units. (Closes: Bug#1061034)
  * Fixed retrieval of list of diverted files upon post removal operation.
    Also removed any file left from any removed old versions when old script
    fails. (Closes: Bug#1060189)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 11 Feb 2024 22:43:10 +0100

lazarus (3.0+dfsg1-7) unstable; urgency=medium

  * Fixed recompilation of custom IDE.
    When recompiling packages, they are stored into user directory.
    When recompiling IDE, both system wide and user custom units where
    passed to the compiler and it resulted in PPU loading errors due to
    same unit may be found twice. This patch workarounds this issue even
    if the right solution may be to try to avoid getting duplicated
    units. However this may be difficult to achieve. (Closes: Bug#1060273)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 29 Jan 2024 18:54:56 +0100

lazarus (3.0+dfsg1-6~bpo12+1) bookworm-backports; urgency=medium

  [ Mazen Neifer ]
  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 27 Jan 2024 21:27:43 +0100

lazarus (3.0+dfsg1-6) unstable; urgency=medium

  * Excluded gitlab configuration file when importing upstream sources.
  * Packages IdeConfig packages into lcl-units.
    (Closes: Bug#1061009, Bug#1060995, Bug#1060932)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 21 Jan 2024 12:54:32 +0100

lazarus (3.0+dfsg1-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 03 Jan 2024 20:29:31 +0100

lazarus (3.0+dfsg1-5) unstable; urgency=medium

  * Updated debian/copyright file to fix some lintian warnings.
  * Remove legacy lintian override.
  * Replaced instantfpc by ifpc.
  * Removed M-A: same from packages that are A: any but not yet M-A ready.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 01 Jan 2024 19:40:15 +0100

lazarus (3.0+dfsg1-4) unstable; urgency=medium

  * Fixed arch and multi-arch tags for libraries metapackages.
    Libraries metapackages need to be of arch any and munti-arch same.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: Bug#1059376)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 26 Dec 2023 22:20:56 +0100

lazarus (3.0+dfsg1-3) unstable; urgency=medium

  * Updated list of packages which compilation is expected to fail.
  * Fixed crash when trying to recompile packages.
    Some packages do not need to be recompiled. There was a bug in lazbuild
    when trying to guess package output directory in this special case.
    Now, we just skip recompilation if it is not needed.
    Updated also timestamps file.
  * Bumped standard version to 4.6.2.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Dec 2023 22:31:55 +0100

lazarus (3.0+dfsg1-2) unstable; urgency=medium

  * Fixed debian/control file for new major version.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 24 Dec 2023 08:32:33 +0100

lazarus (3.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0+dfsg1

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 22 Dec 2023 12:22:04 +0100

lazarus (3.0~rc2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0~rc2+dfsg1
  * Updated patch files and removed patch already integrated by upstream.
    Updated also timestamps file.
  * Updated build dependencies.
  * Removed references to legacy image file laztitle.png.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 22 Dec 2023 11:25:53 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog lazarus-ide-4.6`.
